Bug 974127 - [Doc Bug Fix] Documentation should contain example of creating managed domain with more than one host
[Doc Bug Fix] Documentation should contain example of creating managed domain...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: GA
: EAP 6.3.0
Assigned To: David Michael
Russell Dickenson
http://documentation-devel.engineerin...
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 09:27 EDT by Petr Kremensky
Modified: 2014-08-14 11:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:36:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-06-13 09:27:53 EDT
We should mention some more advanced techniques of creating managed domain in Administration and Configuration Guide as this could be extremely difficult task even for experienced user.

Using default host-config file (host.xml), our host is acting as domain controller with server instances, but there is no demonstration, how to create managed domain with more than one host or managed domain on more than one machine, with one machine acting as dedicated domain controller.

-- how to create managed domain on two machines (you may need to configure your firewall to run this example)
IP1 = ip address of domain controller (machine1)
IP2 = ip address of host (machine2)
on machine1:
- use the add-user.sh script to add management user eg. 'slave01', so our host can authenticate to domain controller. Remember <secret value="$SECRET_VALUE" /> from the output of a script.
- start domain with host-master.xml config file which is preconfigured for dedicated domain controller
- use -bmanagement=$IP1 to make domain controller visible to other machines

[M1 ..$JBOSS_HOME/bin]$ ./domain.sh --host-config=host-master.xml -bmanagement=$IP1 

on machine2:
- update $JBOSS_HOME/domain/configuration/host-slave.xml file with user credentials

<?xml version='1.0' encoding='UTF-8'?>
<host xmlns="urn:jboss:domain:1.4" name="slave01">   <!-- add user name here -->

    <management>
        <security-realms>
            <security-realm name="ManagementRealm">
                <server-identities>
                        <secret value="$SECRET_VALUE" />   <!-- use secret value from add-user.sh output-->
                </server-identities>
...

- start host
[M2 ..$JBOSS_HOME/bin]$ ./domain.sh --host-config=host-slave.xml  -Djboss.domain.master.address=$IP1 -b=$IP2 

Now we can:
- manage domain via CLI:
[$JBOSS_HOME/bin]$ ./jboss-cli.sh -c --controller=$IP1
- manage domain via web console:
http://$IP1:9990
- access server index page
http://$IP2:8080/
http://$IP2:8230/

There should be also some examples how to manage domain with more than one host.

We could also make some example how to create managed domain with more hosts on single machine.
Comment 2 David Michael 2014-07-02 05:16:39 EDT
Topic created: Create Managed Domain on Two Machines

Summary of changes/updates:
- Created a new topic: Create Managed Domain on Two Machines
- Included this topic within About Managed Domains 

Link to topic: http://docbuilder.usersys.redhat.com/22508/#Create_Managed_Domain_on_Two_Machines

Build ID: Awaiting build
Comment 3 Petr Kremensky 2014-07-02 06:38:19 EDT
Hi David,
I reviewed the topic you've created and I have few suggestions for improvement.

1) I'd suggest we either move the topic right after the section '2.1.3. Start JBoss EAP 6 as a Managed Domain' or update the 2.1.3 section with a new sub-section.

Chapter 1. is just an introduction and it doesn't contain any step-by-step examples so far.

2) We should add some short introduction to the topic (single sentence might actually work), what will user achieve by following the example, meaning of host-[master|slave].xml config files, etc. 

3) Create a new list item for 'Now we can manage domain:...<end>' part as it may seem like we can manage/access the server only from Machine 2 now.

The rest of text is looking good, feel free to open a discussion on any of points I've made.

Petr
Comment 10 David Michael 2014-07-04 02:07:20 EDT
Topic name and number: 2.1.4. Create Managed Domain on Two Machines

Changes done: Creation of a new topic

Staging server link for verification: https://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html/Administration_and_Configuration_Guide/chap-Application_Server_Management.html#Create_Managed_Domain_on_Two_Machines

Build ID: JBoss_Enterprise_Application_Platform-Administration_and_Configuration_Guide-6.3-web-en-US-6.3.0-32.el6eng
Comment 11 Petr Kremensky 2014-07-04 02:20:10 EDT
The latest build (Revision 6.3.0-31) still contains the typo ('domain on two machine(s), wherein one')

Note You need to log in before you can comment on or make changes to this bug.